package com.vendor.burn.model.devices.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.BurnContext;
import com.vendor.burn.model.define.IBurner;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.IDdrBurner;
import com.vendor.burn.model.devices.ITab;
import com.vendor.burn.model.devices.burners.PartitionBurner;
import com.vendor.burn.model.event.EventType;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.serial.workers.AbstractBurnerWorker;
import com.vendor.burn.serial.workers.DdrBurnerWorker;
import com.vendor.burn.serial.workers.PartitionBurnerWorker;
import com.vendor.burn.ui.burners.tabs.DdrTab;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.jobs.IJobChangeListener;
import org.eclipse.core.runtime.jobs.Job;

public class DdrBurner extends PartitionBurner implements IDdrBurner {
  public DdrBurner(BurnContext burnContext) {
    super(burnContext);
    getChildren().clear();
  }
  
  public void burn(IFastbootProgressMonitor fastbootMonitor, String directory) {
    DdrBurnerWorker worker = getBurnerWorker();
    worker.setProgressMonitor(fastbootMonitor);
    FastbootEvent event = fastbootMonitor.getEvent();
    BurnContext context = getBurnContext();
    Object object = new Object(this, "Ddr Burn...", fastbootMonitor, worker, directory, event);
    showProgressDialog((Job)object);
    object.addJobChangeListener((IJobChangeListener)new Object(this, fastbootMonitor, context, worker));
    object.schedule();
  }
  
  public DdrBurnerWorker getBurnerWorker() {
    return new DdrBurnerWorker((IBurner)this);
  }
  
  public ITab getTab() {
    return (ITab)new DdrTab();
  }
  
  protected IStatus checkTable(EventType event) {
    return null;
  }
}
